path: /build/build/libdbusmenu-dev-libs-16.04.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test gtk gtk3 introspection prefix" emerge dev-libs/libdbusmenu -pv -t && \
    USE="-test gtk gtk3 introspection prefix" emerge -j ${JOBS} --nodeps dev-libs/libdbusmenu
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libdbusmenu && luet-portage --dir /pkgdir/libdbusmenu
    dev-libs/libdbusmenu && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ee1a72cc7fb10bae3b933d490edf7f2cc092979a398f4bd83332777816ce55d9
  package:
    name: libdbusmenu
    version: 16.04.0
    category: dev-libs
    use_flags:
    - -test
    - gtk
    - gtk3
    - introspection
    - prefix
    requires:
    - name: gnome-doc-utils
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library to pass menu structure across DBus
    uri:
    - https://launchpad.net/libdbusmenu
    license: LGPL-2.1 LGPL-3
    buildtimestamp: 2023-09-06 07:06:38.092235083 +0000 UTC m=+97.282080241
    labels:
      DEPEND: '>=dev-libs/dbus-glib-0.100[-mgorny(-)] >=dev-libs/glib-2.35.4[-mgorny(-)]
        dev-libs/libxml2[-mgorny(-)] gtk? ( x11-libs/gtk+:2[introspection?,-mgorny(-)]
        ) gtk3? ( >=x11-libs/gtk+-3.2:3[introspection?,-mgorny(-)] ) introspection?
        ( >=dev-libs/gobject-introspection-1 ) app-text/gnome-doc-utils dev-util/glib-utils
        dev-util/intltool sys-devel/gettext virtual/pkgconfig introspection? ( ||
        ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)]
        dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)]
        dev-lang/vala:0.36[vapigen(+)] ) ) test? ( >=dev-libs/json-glib-0.13.4[-mgorny(-)]
        >=dev-util/dbus-test-runner-15.04.0_p100 gtk? ( !prefix? ( x11-base/xorg-server[xvfb]
        ) x11-apps/xhost ) gtk3? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost
        ) ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
        ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      IUSE: debug gtk gtk3 +introspection test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
        abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: '>=dev-libs/dbus-glib-0.100[-mgorny(-)] >=dev-libs/glib-2.35.4[-mgorny(-)]
        dev-libs/libxml2[-mgorny(-)] gtk? ( x11-libs/gtk+:2[introspection?,-mgorny(-)]
        ) gtk3? ( >=x11-libs/gtk+-3.2:3[introspection?,-mgorny(-)] ) introspection?
        ( >=dev-libs/gobject-introspection-1 )'
      emerge.packages: dev-libs/libdbusmenu
      kit: dev-kit
      original.package.name: dev-libs/libdbusmenu
      original.package.slot: "0"
      original.package.version: 16.04.0-r1
    treedir: /build/packages
  package_dir: /pkgdir/libdbusmenu
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4702aa889bab2905df10c4e4c4e08c8b33d394dd6134e86727a5d4f6d01be8b0
compressiontype: zstd
files:
- usr/include/libdbusmenu-glib-0.4/libdbusmenu-glib/client.h
- usr/include/libdbusmenu-glib-0.4/libdbusmenu-glib/dbusmenu-glib.h
- usr/include/libdbusmenu-glib-0.4/libdbusmenu-glib/enum-types.h
- usr/include/libdbusmenu-glib-0.4/libdbusmenu-glib/menuitem-proxy.h
- usr/include/libdbusmenu-glib-0.4/libdbusmenu-glib/menuitem.h
- usr/include/libdbusmenu-glib-0.4/libdbusmenu-glib/server.h
- usr/include/libdbusmenu-glib-0.4/libdbusmenu-glib/types.h
- usr/include/libdbusmenu-gtk-0.4/libdbusmenu-gtk/client.h
- usr/include/libdbusmenu-gtk-0.4/libdbusmenu-gtk/dbusmenu-gtk.h
- usr/include/libdbusmenu-gtk-0.4/libdbusmenu-gtk/menu.h
- usr/include/libdbusmenu-gtk-0.4/libdbusmenu-gtk/menuitem.h
- usr/include/libdbusmenu-gtk-0.4/libdbusmenu-gtk/parser.h
- usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/client.h
- usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/dbusmenu-gtk.h
- usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/menu.h
- usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/menuitem.h
- usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/parser.h
- usr/lib64/girepository-1.0/Dbusmenu-0.4.typelib
- usr/lib64/girepository-1.0/DbusmenuGtk-0.4.typelib
- usr/lib64/girepository-1.0/DbusmenuGtk3-0.4.typelib
- usr/lib64/libdbusmenu-glib.so
- usr/lib64/libdbusmenu-glib.so.4
- usr/lib64/libdbusmenu-glib.so.4.0.12
- usr/lib64/libdbusmenu-gtk.so
- usr/lib64/libdbusmenu-gtk.so.4
- usr/lib64/libdbusmenu-gtk.so.4.0.12
- usr/lib64/libdbusmenu-gtk3.so
- usr/lib64/libdbusmenu-gtk3.so.4
- usr/lib64/libdbusmenu-gtk3.so.4.0.12
- usr/lib64/pkgconfig/dbusmenu-glib-0.4.pc
- usr/lib64/pkgconfig/dbusmenu-gtk-0.4.pc
- usr/lib64/pkgconfig/dbusmenu-gtk3-0.4.pc
- usr/libexec/dbusmenu-bench
- usr/share/doc/libdbusmenu-16.04.0-r1/AUTHORS.bz2
- usr/share/doc/libdbusmenu-16.04.0-r1/ChangeLog.bz2
- usr/share/doc/libdbusmenu-16.04.0-r1/NEWS.bz2
- usr/share/doc/libdbusmenu-16.04.0-r1/README.bz2
- usr/share/doc/libdbusmenu-16.04.0-r1/README.dbusmenu-bench.bz2
- usr/share/gir-1.0/Dbusmenu-0.4.gir
- usr/share/gir-1.0/DbusmenuGtk-0.4.gir
- usr/share/gir-1.0/DbusmenuGtk3-0.4.gir
- usr/share/vala/vapi/Dbusmenu-0.4.vapi
- usr/share/vala/vapi/DbusmenuGtk-0.4.vapi
- usr/share/vala/vapi/DbusmenuGtk3-0.4.vapi
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/BUILD_TIME
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/CATEGORY
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/CBUILD
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/CFLAGS
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/CHOST
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/CONTENTS
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/COUNTER
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/CXXFLAGS
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/DEFINED_PHASES
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/DEPEND
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/DESCRIPTION
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/EAPI
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/FEATURES
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/HOMEPAGE
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/INHERITED
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/IUSE
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/KEYWORDS
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/LDFLAGS
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/LICENSE
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/NEEDED
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/PF
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/PROVIDES
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/RDEPEND
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/REQUIRES
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/RESTRICT
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/SIZE
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/SLOT
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/USE
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/environment.bz2
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/libdbusmenu-16.04.0-r1.ebuild
- var/db/pkg/dev-libs/libdbusmenu-16.04.0-r1/repository
package_cacheimage: ""
runtime:
  name: libdbusmenu
  version: 16.04.0
  category: dev-libs
  use_flags:
  - -test
  - gtk
  - gtk3
  - introspection
  - prefix
  requires:
  - name: dbus-glib
    version: '>=0'
    category: dev-libs
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library to pass menu structure across DBus
  uri:
  - https://launchpad.net/libdbusmenu
  license: LGPL-2.1 LGPL-3
  labels:
    DEPEND: '>=dev-libs/dbus-glib-0.100[-mgorny(-)] >=dev-libs/glib-2.35.4[-mgorny(-)]
      dev-libs/libxml2[-mgorny(-)] gtk? ( x11-libs/gtk+:2[introspection?,-mgorny(-)]
      ) gtk3? ( >=x11-libs/gtk+-3.2:3[introspection?,-mgorny(-)] ) introspection?
      ( >=dev-libs/gobject-introspection-1 ) app-text/gnome-doc-utils dev-util/glib-utils
      dev-util/intltool sys-devel/gettext virtual/pkgconfig introspection? ( || (
      dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)]
      dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)]
      dev-lang/vala:0.36[vapigen(+)] ) ) test? ( >=dev-libs/json-glib-0.13.4[-mgorny(-)]
      >=dev-util/dbus-test-runner-15.04.0_p100 gtk? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost ) gtk3? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost
      ) ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || (
      >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    IUSE: debug gtk gtk3 +introspection test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
      abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: '>=dev-libs/dbus-glib-0.100[-mgorny(-)] >=dev-libs/glib-2.35.4[-mgorny(-)]
      dev-libs/libxml2[-mgorny(-)] gtk? ( x11-libs/gtk+:2[introspection?,-mgorny(-)]
      ) gtk3? ( >=x11-libs/gtk+-3.2:3[introspection?,-mgorny(-)] ) introspection?
      ( >=dev-libs/gobject-introspection-1 )'
    emerge.packages: dev-libs/libdbusmenu
    kit: dev-kit
    original.package.name: dev-libs/libdbusmenu
    original.package.slot: "0"
    original.package.version: 16.04.0-r1
